<script setup lang="ts">
import type { Stock } from '@/types/Stock'

const propsStock= defineProps<{
    sItem:Stock
}>()
const emit = defineEmits<{
    selectedSitem:[Stock] // selectedProduct(Product p)
}>()
const selected = function(){
    console.log('StockItemCard: '+propsStock.sItem);
    emit('selectedSitem',propsStock.sItem)
}

</script>
<template>
    <v-sheet width="560" height="50" elevation="2"  @click="selected" style="background-color: #e1c9b1;">
    <div style="text-align: center; font-size: 20px; " >{{ sItem.name}} </div><br>
    </v-sheet>
</template>